cascading.flow.planner.rule.partitioner

## Class WholeGraphRulePartitioner

- java.lang.Object
- - cascading.flow.planner.rule.RulePartitioner
  - - cascading.flow.planner.rule.partitioner.WholeGraphRulePartitioner

All Implemented Interfaces:
  Rule

Direct Known Subclasses:
  WholeGraphNodePartitioner, WholeGraphStepPartitioner

    public class WholeGraphRulePartitioner
    extends RulePartitioner

### Nested Class Summary

### Nested classes/interfaces inherited from class cascading.flow.planner.rule.RulePartitioner

`RulePartitioner.PartitionSource`

### Field Summary

### Fields inherited from class cascading.flow.planner.rule.RulePartitioner

`graphPartitioner, logLevel, partitionSource, phase`

### Constructor Summary

Constructors
`protected` `WholeGraphRulePartitioner(LogLevel logLevel, PlanPhase phase)`
`protected` `WholeGraphRulePartitioner(PlanPhase phase)`

### Method Summary

Methods
`java.lang.Enum[]` `getAnnotationExcludes()`

### Methods inherited from class cascading.flow.planner.rule.RulePartitioner

`getGraphPartitioner, getPartitionSource, getRuleName, getRulePhase, partition, partition, performPartition, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### WholeGraphRulePartitioner

    protected WholeGraphRulePartitioner(LogLevel logLevel,
                             PlanPhase phase)

#### WholeGraphRulePartitioner

    protected WholeGraphRulePartitioner(PlanPhase phase)

### Method Detail

#### getAnnotationExcludes

    public java.lang.Enum[] getAnnotationExcludes()

Specified by:
  `getAnnotationExcludes` in class `RulePartitioner`